> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Social Accounts

> You can retrieve the social accounts connected to your Opus organization by making a `GET` request to `https://api.opus.pro/api/social-accounts`.



## OpenAPI

````yaml GET /api/social-accounts
openapi: 3.0.0
info:
  title: Clip API
  description: Clip API documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.opus.pro
    description: OpusClip Open API Production Server
security: []
tags: []
paths:
  /api/social-accounts:
    get:
      tags:
        - social-posting
        - enterprise
      description: Retrieve the connected social destinations available for social posting.
      operationId: SocialAccountController_getSocialAccounts
      parameters:
        - name: q
          required: true
          in: query
          description: Query type
          schema:
            type: string
            enum:
              - mine
            example: mine
      responses:
        '200':
          description: Successfully retrieved social accounts
          content:
            application/json:
              example:
                data:
                  - postAccountId: postAccountId_xxx1
                    subAccountId: subAccountId_xxx1
                    platform: FACEBOOK_PAGE
                    extUserId: extUserId_xxx
                    extUserName: Page Name
                    extUserPictureLink: https://example.com/avatar.png
                    extUserProfileLink: https://www.facebook.com/page_id
                  - postAccountId: postAccountId_xxx2
                    platform: TIKTOK_BUSINESS
                    extUserId: extUserId_xxx
                    extUserName: tiktok_account
                    extUserPictureLink: https://example.com/avatar.jpeg
                    extUserProfileLink: https://www.tiktok.com/@username
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - postAccountId
                        - platform
                        - extUserId
                        - extUserName
                      properties:
                        postAccountId:
                          type: string
                          description: Unique ID of the connected social account record
                        subAccountId:
                          type: string
                          description: >-
                            Sub-account ID for Facebook pages, Instagram
                            business accounts, or LinkedIn person or org URNs
                        platform:
                          type: string
                          enum:
                            - YOUTUBE
                            - TIKTOK_BUSINESS
                            - FACEBOOK_PAGE
                            - INSTAGRAM_BUSINESS
                            - LINKEDIN
                            - TWITTER
                        extUserId:
                          type: string
                          description: Platform-side user or account ID
                        extUserName:
                          type: string
                          description: Display name from the third-party platform
                        extUserPictureLink:
                          type: string
                          description: Avatar image URL
                        extUserProfileLink:
                          type: string
                          description: Public channel or profile URL
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````